Subject: Re: bug#20727: 24.5; Font fallback doesn't work for the Emoji range

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Jun 2015 22:20:36 +0300

> Date: Wed, 3 Jun 2015 19:22:42 +0200
> From: Vasilij Schneidermann <[email-masked]>
> 
> I did install the Symbola font to be able to display glyphs for code
> points in the Emoji range which works for applications like my browser,
> however Emacs isn't able of displaying these glyphs despite that
> measure. To reproduce the issue on a Linux system, it's sufficient to
> have the Symbola font installed and with a default font different from
> it to insert a character like PILE OF POO with C-x 8 RET which yields a
> rectangle with numbers in it. Temporarily switching the default font
> to Symbola with M-x set-frame-font is one possible workaround to display
> the glyph, another one is modifying the default fontset to explicitly
> make use of that font for the Emoji range:
> 
> (set-fontset-font "fontset-default" nil "Symbola"
> (selected-frame) 'append)

This usually means you have some other font installed that claims to
cover the Emoji block, but doesn't actually cover this character.  Try
to find that font, and either uninstall it, or make it member of the
list in face-ignored-fonts, or customize your fontset like you show
above (there's nothing wrong with giving Emacs some help with the
fonts you have).